## ros-rolling-nmea-msgs 2.0.0

=== debian/changelog ===
ros-rolling-nmea-msgs (2.0.0-2focal) focal; urgency=high

  * Initial release for ROS 2
  * Contributors: Andreas Klintberg, Edward Venator

 -- Ed Venator <evenator@gmail.com>  Fri, 17 May 2019 00:00:00 -0000

ros-rolling-nmea-msgs (1.1.0-2focal) focal; urgency=high

  * Add specific NMEA messages (#5 <https://github.com/ros-drivers/nmea_msgs/issues/5>)
    Add messages for the following NMEA sentences:
    - GPGGA
    - GPGSA
    - GPGSV (and a submessage GpgsvSatellite)
    - GPRMC
    These messages are useful to GPS drivers that parse NMEA sentences
    into specific ROS messages.
  * Update maintainer to Ed Venator
  * Contributors: Edward Venator, Eric Perko

 -- Ed Venator <evenator@gmail.com>  Thu, 07 Dec 2017 00:00:00 -0000

ros-rolling-nmea-msgs (1.0.0-2focal) focal; urgency=high

  * Release into Jade.

 -- Ed Venator <evenator@gmail.com>  Thu, 23 Apr 2015 00:00:00 -0000

ros-rolling-nmea-msgs (0.1.1-2focal) focal; urgency=high

  * Cleanup CMakeLists.txt and package.xml

 -- Ed Venator <evenator@gmail.com>  Sun, 15 Feb 2015 00:00:00 -0000

ros-rolling-nmea-msgs (0.1.0-2focal) focal; urgency=high

  * Initial version (released into Hydro)
  * Supports NMEA0183 sentences

 -- Ed Venator <evenator@gmail.com>  Sun, 21 Jul 2013 00:00:00 -0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-nmea-msgs//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-nmea-msgs 2.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(nmea_msgs)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

find_package(ament_cmake REQUIRED)
find_package(rosidl_default_generators REQUIRED)
find_package(std_msgs REQUIRED)

rosidl_generate_interfaces(${PROJECT_NAME}
   "msg/Sentence.msg"
   "msg/Gpgga.msg"
   "msg/Gpgsa.msg"
   "msg/Gpgst.msg"
   "msg/Gpgsv.msg"
   "msg/GpgsvSatellite.msg"
   "msg/Gprmc.msg"
   "msg/Gpvtg.msg"
   "msg/Gpzda.msg"
   DEPENDENCIES std_msgs
)


ament_export_dependencies(rosidl_default_runtime)

ament_package()

=== debian/changelog ===
ros-rolling-nmea-msgs (2.1.0-1jammy) jammy; urgency=high

  * Add GPVTG and GPZDA Sentences (#19 <https://github.com/evenator/nmea_msgs/issues/19>)
    GPVTG is useful for interpreting speed and heading.
    GPZDA is useful for syncing date and time.
  * Add GPGST NMEA message (#18 <https://github.com/evenator/nmea_msgs/issues/18>)
    Add ROS2 message definition for GST NMEA sentences.
    See: #17 <https://github.com/evenator/nmea_msgs/issues/17>
    Co-authored-by: Nicolas Chleq

 -- Ed Venator <evenator@gmail.com>  Sun, 03 Sep 2023 04:00:00 -0000

ros-rolling-nmea-msgs (2.0.0-1jammy) jammy; urgency=high

  * Initial release for ROS 2
  * Contributors: Andreas Klintberg, Edward Venator

 -- Ed Venator <evenator@gmail.com>  Fri, 17 May 2019 04:00:00 -0000

ros-rolling-nmea-msgs (1.1.0-1jammy) jammy; urgency=high

  * Add specific NMEA messages (#5 <https://github.com/ros-drivers/nmea_msgs/issues/5>)
    Add messages for the following NMEA sentences:
    - GPGGA
    - GPGSA
    - GPGSV (and a submessage GpgsvSatellite)
    - GPRMC
    These messages are useful to GPS drivers that parse NMEA sentences
    into specific ROS messages.
  * Update maintainer to Ed Venator
  * Contributors: Edward Venator, Eric Perko

 -- Ed Venator <evenator@gmail.com>  Thu, 07 Dec 2017 05:00:00 -0000

ros-rolling-nmea-msgs (1.0.0-1jammy) jammy; urgency=high

  * Release into Jade.

 -- Ed Venator <evenator@gmail.com>  Thu, 23 Apr 2015 04:00:00 -0000

ros-rolling-nmea-msgs (0.1.1-1jammy) jammy; urgency=high

  * Cleanup CMakeLists.txt and package.xml

 -- Ed Venator <evenator@gmail.com>  Sun, 15 Feb 2015 05:00:00 -0000

ros-rolling-nmea-msgs (0.1.0-1jammy) jammy; urgency=high

  * Initial version (released into Hydro)
  * Supports NMEA0183 sentences

 -- Ed Venator <evenator@gmail.com>  Sun, 21 Jul 2013 04:00:00 -0000

=== debian/control ===
Source: ros-rolling-nmea-msgs
Section: misc
Priority: optional
Maintainer: Ed Venator <evenator@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-builtin-interfaces, ros-rolling-rosidl-default-generators, ros-rolling-std-msgs, ros-rolling-ros-workspace, ros-rolling-rosidl-typesupport-fastrtps-c, ros-rolling-rosidl-typesupport-fastrtps-cpp
Homepage: http://ros.org/wiki/nmea_msgs
Standards-Version: 3.9.2

Package: ros-rolling-nmea-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-builtin-interfaces, ros-rolling-rosidl-default-runtime, ros-rolling-std-msgs, ros-rolling-ros-workspace
Description: The nmea_msgs package contains messages related to data in the NMEA format.

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
